Subject: mergetool for Solaris

From: "Alan M. Feldstein" <[email-masked]>
Date: Thu, 14 May 2009 11:00:09 -0500

jesus% git mergetool
    merge tool candidates: kdiff3 tkdiff xxdiff meld gvimdiff opendiff emerge
    vimdiff
    No known merge resolution program available.
    jesus%

I tried building kdiff3-0.9.95. That wasn't much fun. (If any member of the Git 
community wants to explore that with me, I'll provide details.)

Searching for a path of least resistance, I used the above merge tool candidates 
list in comparison with the list of tool packages available from sunfreeware.com 
and selected tkdiff. Standalone, tkdiff launches successfully. But git mergetool 
fails to launch it:

    jesus% git mergetool
    merge tool candidates: kdiff3 tkdiff xxdiff meld gvimdiff opendiff emerge
    vimdiff
    Merging the files: about.html

    Normal merge conflict for 'about.html':
      {local}: modified
      {remote}: modified
    Hit return to start merge resolution tool (tkdiff):
    Neither ~/.dt/sessions/current/dt.resources nor
            ~/.dt/sessions/home/dt.resources was readable
       Falling back to plain X
    Error in startup script: expected integer but got "bold"
        (processing "-font" option)
        invoked from within
    ".client.left.text tag configure inlinetag -background DodgerBlue -font
    {TkFixedFont bold}"
        ("eval" body line 1)
        invoked from within
    "eval "$widget tag configure $tag $opts($tag)""
        (procedure "build-client" line 106)
        invoked from within
    "build-client"
        (procedure "create-display" line 40)
        invoked from within
    "create-display"
        (procedure "main" line 57)
        invoked from within
    "main"
        (file "/usr/local/bin/tkdiff" line 9515)
    merge of about.html failed
    jesus%

It seems to me inappropriate for Git to be looking for ~/.dt/ (which doesn't 
exist), because I'm running the Java Desktop System, not CDE.

Has anyone had success with mergetool on Solaris? Or can anyone help with 
mergetool/tkdiff (that looks solvable)?

-- 
*Alan Feldstein*
Architectural Verification Engineer, Cosmic Horizon 
<http://www.alanfeldstein.com/>
[email-masked] <mailto:[email-masked]>
*http://www.linkedin.com/in/feldstein*
	
work: +1 585 415 6682
See who we know in common <http://www.linkedin.com/e/wwk/1301367/> 	Want 
a signature like this? <http://www.linkedin.com/e/sig/1301367/>